get file = 'ch.sav'.

* ARI in the last 2 weeks.
compute ari  = 0.
if ((CA7 =1 or CA7 = 3) and CA5 = 1 and CA6 = 1) ari = 100.
variable label ari "Had acute respiratory infection".

select if (UF9 = 1 and ari = 100).

weight by chweight.

recode CA11A ("A" = 100) (else = 0) into anti.
variable label anti "Percentage of children aged 0-59 months with suspected "+
  "pneumonia who received antibiotics in the last two weeks *".

compute atotal = 1.
value label atotal 1 "".
variable label atotal "Number of children aged 0-59 months with suspected "+
  "pneumonia in the two weeks prior to the survey".

* Drop rows with small cell sizes.
recode hc1c (4=7) (9=sysmis).
recode melevel (9=sysmis).
compute total1 = 1.
value label total1 1 "Total".

recode wlthind5 (1,2,3=1)(4,5=2) into wlthind2.
variable label wlthind2 "Wealth index quintiles".
value label wlthind2 1 "Poorest 60%" 2 "Richest 40%".

tables
  /format = zero
  /observation = ari anti
  /ftotal = tot1 "Total"
  /table = HL4 + HH6 + wlthind2 + total1 by
    anti + atotal
  /statistics
    mean(anti (f5.1) '')
    count(atotal (f5.0) '')
  /title
    "Table CH.7: Antibiotic treatment of pneumonia"
		"Percentage of children aged 0-59 months with suspected pneumonia who "+
		"received antibiotic treatment, Georgia, 2005"
  /caption
    "* MICS indicator 22".

new file.
