get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute total  = 1.
variable label total "Number of households".
value label total 1 "".

select if (not(sysmis(WS4))).

variable label WS4 "Person collecting drinking water".
recode WS4 (8=9).
add value label WS4 9 "DK/Missing".

* Drop rows with small cell sizes.
recode hc1c (4=7)(9=sysmis).
recode helevel (9=sysmis).
compute total1 = 1.
value label total1 1 "Total".

tables
  /format = zero
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6 + helevel + wlthind5 + hc1c + total1 by WS4 + tot1 + total 
  /statistics
    cpct(WS4 (f5.1) '':HH7 HH6 helevel wlthind5 hc1c total1)
  /title
    "Table EN.4: Person collecting water"
		"Percent distribution of households according to the person collecting "+
		"water used in the household, Georgia, 2005".

new file.
 