get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

select if (UF11 < 3).

recode CA13 (1,2 = 100) (else = 0) into stools.
variable label stools "Proportion of children whose stools are disposed of "+
  "safely *".

compute total  = 1.
value label total 1 "".
variable label total "Number of children aged 0-2 years".

* Drop rows with small cell sizes.
recode hc1c (4=7)(9=sysmis).
recode melevel (9=sysmis).
compute total1 = 1.
value label total1 1 "Total".

tables
  /format = zero
  /observation = stools
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + melevel + wlthind5 + hc1c + total1 by
	  CA13 + tot1 + stools + total
  /statistics
    cpct(CA13 (f5.1) '':HH7 HH6 melevel wlthind5 hc1c)
    mean(stools (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table EN.6: Disposal of child's faeces"
		"Percent distribution of children aged 0-2 years according to place of "+
		"disposal of child's faeces, and the percentage of children aged 0-2 "+
		"years whose stools are disposed of safely, Georgia, 2005"
  /caption
    "* MICS indicator 14".

new file.

