GET file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y" or CM12 = "O" or CM12 = "S").

compute total = 1.
variable label total "Number of women who gave birth in two years preceding survey".
value label total 1 "".

compute anc = 0.
if (MN2A = "A") anc = 1.
if (anc = 0 and MN2B = "B") anc = 2.
if (anc = 0 and MN2F = "F") anc = 4.
if (anc = 0 and MN2H = "H") anc =  6.
if (anc = 0 and (MN2X = "X" or MN2A = "?"))  anc =  7.
if (anc = 0 and MN2Y = "Y") anc = 8.
variable label anc "Person delivering antenatal care".
value label anc
  1 "Medical doctor"
  2 "Nurse/midwife"
  4 "Traditional birth attendant"
  6 "Relative/Friend"
  7 "Other/missing"
  8 "No antenatal care received".

compute ancmore = 0.
if (anc <> 8) ancmore = 100.
variable label ancmore "Percent of pregnant women receiving ANC one or more "+
  "times during pregnancy*".

compute layer = 1.
variable label layer "".
value label layer 1 "Percent of pregnant women who had:".

recode MN3A (1 = 100) (else = 0) into weighed.
variable label weighed "Weight measured".

recode MN3B (1 = 100) (else = 0) into pressure.
variable label pressure "Blood pressure measured".

recode MN3C (1 = 100) (else = 0) into urine.
variable label Urine "Urine specimen taken".

recode MN3D (1 = 100) (else = 0) into blood.
variable label blood "Blood sample taken".

recode wage (5 thru 7 = 5).
add value labels wage 5 "35+".

* Drop rows with small cell sizes.
recode hc1c (4=7)(9=sysmis).
recode melevel (9=sysmis).
compute total1 = 1.
value label total1 1 "Total".

tables
  /format = zero
  /observation = ancmore blood pressure urine weighed
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + hc1c + total1 by
	  ancmore + layer > (blood + pressure + urine + weighed) +total
  /statistics
    mean(ancmore (f5.1) '')
    mean(blood (f5.1) '')
    mean(pressure (f5.1) '')
    mean(urine (f5.1) '')
    mean(weighed (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table RH.4: Antenatal care content"
    "Percentage of pregnant women receiving antenal care among women aged "+
		"15-49 years who gave birth in two years preceding the survey and "+
		"percentage of pregnant women receiving specific care as part of the "+
		"antenatal care received, Georgia, 2005"
  /caption
    "* MICS indicator 44".

new file.
