get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5 >= 12 and HL5 <= 16).

compute second  = 0.
if (ED6A >= 2 and ED6A <= 6) second =  100.
* Set test for HL5 equal to age in last grade of secondary and test for ED3B equal to the last grade of secondary.
if (HL5 = 16 and ED3A = 2 and ED3B = 5 and ED4 = 2) second  = 100.
variable label second "".

variable label HL4 "".

* Drop rows with small cell sizes.
recode hc1c (4=7)(9=sysmis).
recode melevel (9=sysmis).
compute total1 = 1.
value label total1 1 "Total".

tables
  /format = zero
  /observation = second
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + hc1c + total1 by 
	  HL4 > second + tot1
  /statistics
    mean(second (f5.1) 'Net attendance ratio')
    validn(second (f5.0) 'Number of children')
  /title
    "Table ED.4: Secondary school net attendance ratio"
		"Percentage of children of secondary school age attending secondary or higher "+
		"school (NAR), Georgia, 2005"
  /caption
    "* MICS indicator 56".

new file.
 