get file = 'hl.sav' /keep hh1 hh2 hl1 hl4 /rename (hl1 = ln).
sort cases by HH1 HH2 LN.
save outfile = 'tmp.sav'.

get file = 'ch.sav'.

sort cases by HH1 HH2 LN.
match files
  /file = *
  /table = 'tmp.sav'
  /by HH1 HH2 LN.

select if (UF9 = 1).

weight by chweight.

compute agem = trunc(cage/3).
variable label agem "Age in months".
value label agem
	0 	"0-2"
	1 	"3-5"
 	2	"6-8"
 	3 	"9-11"
 	4 	"12-14"
 	5 	"15-17"
 	6 	"18-20"
 	7 	"21-23"
 	8 	"24-26"
 	9 	"27-29"
 	10 	"30-32"
 	11 	"33-35"
 	12 	"36-38"
 	13 	"39-41"
 	14 	"42-44"
 	15 	"45-47"
 	16	"48-50"
 	17 	"51-53"
 	18 	"54-56"
 	19 	"57-59".

variable label hl4 ''.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = agem + tot1 by hl4 + tot1
  /statistics
    count(hl4 (f5.0) 'Number')
    cpct(hl4 (f5.1) 'Percent': hl4)
  /title
    "Table DQ.4: Age distribution of under-5 children"
    "Age distribution of under-5 children by 3-month groups (weighted), Georgia, 2005".

new file.
erase file 'tmp.sav'.
