* open the household listing data file.
get file = 'hl.sav'.

* keep heads of household only.
select if (HL3 = 1).

* sort the cases by cluster number, household number and line number.
sort cases by HH1 HH2 HL1.

* education level.
recode ED3A (0,1 = 1) (2 = copy) (3 = 4) (6 = 3) (8,9 = 9) (else=1) into helevel.
variable label helevel "Education of household head".
value label helevel
  0 "No education"
  1 "Pre Primary and Primary"
  2 "Secondary"
  3 "Secondary special/vocational"
  4 "Higher"
  9 "Missing/DK".
format helevel (f1.0).

* sex of household head.
recode HL4 (1,2 = copy) (else = 9) into hhsex.
variable label hhsex "Sex of household head".
value label hhsex
  1 "Male"
  2 "Female"
  9 "Missing/DK".
format hhsex (f1.0).

* save a data file of household heads with IDs and education as only vars.
save outfile = 'tmp1.sav'
  /keep HH1 HH2 helevel hhsex.

* open the household data file.
get file = 'hh.sav'.

value label hc1a
  1 "Christian"
  2 "Jewish"
  3 "Muslim"
  6 "Other Religion"
  7 "No Religion"
  9 "Missing".

value label hc1b
  1 "Georgian"
  2 "Abkhazian"
  3 "Osetian"
  4 "Russian"
  5 "Azerbaijani"
  6 "Armenian"
  7 "Other Language"
  9 "Missing".

value label hc1c
  1 "Georgian"
  2 "Abkhazian"
  3 "Osetian"
  4 "Russian"
  5 "Azerbaijani"
  6 "Armenian"
  7 "Other Ethnicity"
  9 "Missing".

*compute hrel = hc1a.
*variable labels hrel 'Head Religion (Original)'.
*recode hc1a  (2=6)  (7=6).

*compute htong = hc1b.
*variable labels htong 'Head Tongue (Original)'.
*recode hc1b  (2=7)  (3=7).

*compute hnat = hc1c.
*variable labels hnat 'Head Nationality (Original)'.
*recode hc1c  (2=7)  (3=7).

match file /file=*
 /table='hc1.sav'
 /by hh1 hh2.
format hrel htong hnat (f1.0).


* sort the cases by cluster number and household number.
sort cases by HH1 HH2.

* merge the household head file onto the household file.
match files
  /file = *
  /table = 'tmp1.sav'
  /by HH1 HH2 .

* resort the cases by cluster number and household number.
sort cases by HH1 HH2.

* save household data, which now contains the education of household head.
save outfile = 'hh.sav'.

* erase the working file.
erase file = 'tmp1.sav'.

new file.
